#!/usr/bin/tclsh

#set tcl_precision 17

set xmul [lindex $argv 0]
set ymul [lindex $argv 1]

set xname [lindex $argv 2]
set yname [lindex $argv 3]

set a [split [read stdin] "\n"]

set z 0
set out1 ""
set out2 ""

puts -nonewline "\\begin\{tabular\}\{l\|"
for {set i 0} {$i < 8} {incr i} {
    puts -nonewline "\|r"
}
puts "\}"

foreach i $a {
    if ![string length [string trim $i]] {continue}
    lappend out1 [expr round([lindex $i 0]*$xmul*1000.0)/1000.0]
    lappend out2 [expr round([lindex $i 1]*$ymul*1000.0)/1000.0]
    incr z
    if {$z >= 8} {
	puts -nonewline $xname
	foreach j $out1 {
	    puts -nonewline "& $j"
	}
	puts "\\\\"
	puts -nonewline $yname
	foreach j $out2 {
	    puts -nonewline "& $j"
	}
	puts "\\\\"
	puts "\\hline"

	set out1 ""
	set out2 ""
	set z 0
    }
}

if {$z > 0} {
    puts -nonewline $xname
    foreach j $out1 {
	puts -nonewline "& $j"
    }
    puts "\\\\"
    puts -nonewline $yname
    foreach j $out2 {
	puts -nonewline "& $j"
    }
    puts ""
}

puts "\\end\{tabular\}"
